# Server Repository

This repository contains various scripts and configurations for managing Docker containers and services.

![Main Image](assets/images/main.png)

## Scripts

- `cicd-spindown.sh`: Spins down all CICD relevant Docker containers.
- `cicd-spinup.sh`: Spins up all CICD relevant Docker containers.
- `main-spindown.sh`: Spins down all Docker containers.
- `main-spinup.sh`: Spins up all Docker containers.

## Services

### Bitwarden

Configuration for Bitwarden is located in [Bitwarden/docker-compose.yml](Bitwarden/docker-compose.yml).

### Database

Configuration for MongoDB is located in [Database/docker-compose.yml](Database/docker-compose.yml).

### Misc

Configuration for miscellaneous services is located in [Misc/docker-compose.yml](Misc/docker-compose.yml).

### Tracking

Configuration for tracking services is located in [Tracking/docker-compose.yml](Tracking/docker-compose.yml).

### Traefik

Configuration for Traefik is located in [Traefik/docker-compose.yml](Traefik/docker-compose.yml).

### TraefikRunner

Configuration for TraefikRunner is located in [TraefikRunner/docker-compose.yml](TraefikRunner/docker-compose.yml).

### Websites

Configuration for websites is located in [Websites/docker-compose.yml](Websites/docker-compose.yml).

## ToDo

See [todo.md](todo.md) for a list of tasks and configurations that need to be completed.